# Class DuplicateFileCopyingException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.file.DuplicateFileCopyingException

All Implemented Interfaces:
  `Serializable`

@Incubating public class DuplicateFileCopyingException extends GradleException
Thrown when more than one file with the same relative path name is to be copied and the `DuplicatesStrategy` is set to DuplicatesStrategy.FAIL

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`DuplicateFileCopyingException(String desc)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuplicateFileCopyingException

public DuplicateFileCopyingException(String desc)